GET api/DocPrep/GetTransactions?searchBy={searchBy}&searchValue={searchValue}&fromDate={fromDate}&toDate={toDate}&startIndex={startIndex}&endIndex={endIndex}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| searchBy | string |
Required |
|
| searchValue | string |
Required |
|
| fromDate | date |
Required |
|
| toDate | date |
Required |
|
| startIndex | integer |
Required |
|
| endIndex | integer |
Required |
Body Parameters
None.
Response Information
Resource Description
DocPrepDashBoardResponse| Name | Description | Type | Additional information |
|---|---|---|---|
| Orders | Collection of DocPrepDashBoard |
None. |
|
| TransactionsCount | integer |
None. |
|
| IsSuccess | boolean |
None. |
|
| HasErrors | boolean |
None. |
|
| HasValidationErrors | boolean |
None. |
|
| Messages | Collection of ResponseMessage |
None. |
Response Formats
application/json, text/json
Sample:
{
"Orders": [
{
"TransactionId": 1,
"TransactionNumber": "sample string 2",
"OrderId": 1,
"OrderNumber": "sample string 3",
"UserId": "f82a4707-b537-4594-932f-c60caafb3b59",
"CreatedDate": "2026-03-25T12:54:02.9166718-05:00",
"PropertyAddress": "sample string 5",
"BuyersName": "sample string 6",
"SellersName": "sample string 7"
},
{
"TransactionId": 1,
"TransactionNumber": "sample string 2",
"OrderId": 1,
"OrderNumber": "sample string 3",
"UserId": "f82a4707-b537-4594-932f-c60caafb3b59",
"CreatedDate": "2026-03-25T12:54:02.9166718-05:00",
"PropertyAddress": "sample string 5",
"BuyersName": "sample string 6",
"SellersName": "sample string 7"
}
],
"TransactionsCount": 1,
"IsSuccess": true,
"HasErrors": false,
"HasValidationErrors": false,
"Messages": []
}